Opened 7 months ago

Closed 7 months ago

Last modified 5 months ago

#2522 closed enhancement (duplicate)

Python distribution tools will require html5 in future versions.

Reported by: vernondcole@… Owned by:
Priority: minor Milestone:
Component: http/3 Version: 1.25.x
Keywords: html5 Cc:
uname -a: Linux hdvm3 5.4.0-107-generic #121-Ubuntu SMP Thu Mar 24 16:04:27 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
nginx -V: vcole@hdvm3:~$ nginx -V
nginx version: nginx/1.18.0 (Ubuntu)
built with OpenSSL 1.1.1f 31 Mar 2020
TLS SNI support enabled
configure arguments: --with-cc-opt='-g -O2 -fdebug-prefix-map=/build/nginx-7KvRN5/nginx-1.18.0=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wdate-time -D_FORTIFY_SOURCE=2' --with-ld-opt='-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,now -fPIC' --prefix=/usr/share/nginx --conf-path=/etc/nginx/nginx.conf --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --lock-path=/var/lock/nginx.lock --pid-path=/run/nginx.pid --modules-path=/usr/lib/nginx/modules --http-client-body-temp-path=/var/lib/nginx/body --http-fastcgi-temp-path=/var/lib/nginx/fastcgi --http-proxy-temp-path=/var/lib/nginx/proxy --http-scgi-temp-path=/var/lib/nginx/scgi --http-uwsgi-temp-path=/var/lib/nginx/uwsgi --with-debug --with-compat --with-pcre-jit --with-http_ssl_module --with-http_stub_status_module --with-http_realip_module --with-http_auth_request_module --with-http_v2_module --with-http_dav_module --with-http_slice_module --with-threads --with-http_addition_module --with-http_gunzip_module --with-http_gzip_static_module --with-http_image_filter_module=dynamic --with-http_sub_module --with-http_xslt_module=dynamic --with-stream=dynamic --with-stream_ssl_module --with-mail=dynamic --with-mail_ssl_module

Description

When using a minimal configuration of nginx with automatic indexing, the resulting index does not conform to html 5 standards. This will cause Python pip installs from private repositories to fail in future versions of pip.

vcole@GITI6342:/mnt/c/Users/vcole/Downloads$ sudo python3 -m pip install --no-index --find-links=http://pip.test/simple --trusted-host=pip.test --no-build-isolation virtualenvwrapper -v
Using pip 22.0.2 from /usr/lib/python3/dist-packages/pip (python 3.10)
Looking in links: h t t p : / / pip.test/simple
DEPRECATION: The HTML index page being used (http://pip.test/simple/) is not a proper HTML 5 document. This is in violation of PEP 503 which requires these pages to be well-formed HTML 5 documents. Please reach out to the owners of this index page, and ask them to update this index page to a valid HTML 5 document. pip 22.2 will enforce this behaviour change. Discussion can be found at h t t p s : / / github.com/pypa/pip/issues/10825


Attachments (1)

pip.test (333 bytes ) - added by vernondcole@… 7 months ago.
nginx configuration file for web site http://pip.test

Download all attachments as: .zip

Change History (3)

by vernondcole@…, 7 months ago

Attachment: pip.test added

nginx configuration file for web site http://pip.test

comment:1 by vernondcole@…, 7 months ago

http addresses in the included text were modified by adding spaces in the http:// strings to work around a spam filter in the submission process.

Version 0, edited 7 months ago by vernondcole@… (next)

comment:2 by Maxim Dounin, 7 months ago

Resolution: duplicate
Status: newclosed

Duplicate of #2410.

Note: See TracTickets for help on using tickets.